Operation (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.expression

## Enum Operation

- java.lang.Object
- - java.lang.Enum<Operation>
  - - org.springframework.expression.Operation

- All Implemented Interfaces:
    Serializable, Comparable<Operation>

      public enum Operation
      extends Enum<Operation>

  Supported operations that an `OperatorOverloader` can implement for any pair of operands.
  Since:
    3.0
  Author:
    Andy Clement

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `DIVIDE`
    `MODULUS`
    `MULTIPLY`
    `POWER`
    `SUBTRACT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final Operation ADD

    - #### SUBTRACT

          public static final Operation SUBTRACT

    - #### DIVIDE

          public static final Operation DIVIDE

    - #### MULTIPLY

          public static final Operation MULTIPLY

    - #### MODULUS

          public static final Operation MODULUS

    - #### POWER

          public static final Operation POWER

  - ### Method Detail

    - #### values

          public static Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operation c : Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null